# ubermagtable
Marijan Beg<sup>1,2</sup>, Vanessa Nehruji<sup>2</sup>, Sergii Mamedov<sup>1</sup>, Ryan A. Pepper<sup>2</sup>, Thomas Kluyver<sup>1</sup>, and Hans Fangohr<sup>1,2</sup>

<sup>1</sup> *European XFEL GmbH, Holzkoppel 4, 22869 Schenefeld, Germany*  
<sup>2</sup> *Faculty of Engineering and Physical Sciences, University of Southampton, Southampton SO17 1BJ, United Kingdom*  

| Description | Badge |
| --- | --- |
| Latest release | [![PyPI version](https://badge.fury.io/py/oommfodt.svg)](https://badge.fury.io/py/oommfodt) |
|                | [![Anaconda-Server Badge](https://anaconda.org/conda-forge/oommfodt/badges/version.svg)](https://anaconda.org/conda-forge/oommfodt) |
| Build | [![Build Status](https://travis-ci.org/ubermag/ubermagtable.svg?branch=master)](https://travis-ci.org/ubermag/ubermagtable) |
|       |  [![Build status](https://ci.appveyor.com/api/projects/status/sr110qs3qj00yqib?svg=true)](https://ci.appveyor.com/project/ubermag/oommfodt) |
| Coverage | [![codecov](https://codecov.io/gh/ubermag/oommfodt/branch/master/graph/badge.svg)](https://codecov.io/gh/ubermag/oommfodt) |
| Documentation | [![Documentation Status](https://readthedocs.org/projects/oommfodt/badge/?version=latest)](http://oommfodt.readthedocs.io/en/latest/?badge=latest) |
| Binder | [![Binder](https://mybinder.org/badge.svg)](https://mybinder.org/v2/gh/ubermag/oommfodt/master?filepath=index.ipynb) |
| Platforms | [![Platforms](https://anaconda.org/conda-forge/oommfodt/badges/platforms.svg)](https://anaconda.org/conda-forge/oommfodt) |
| Dependecies | [![Requirements Status](https://requires.io/github/ubermag/oommfodt/requirements.svg?branch=master)](https://requires.io/github/ubermag/oommfodt/requirements/?branch=master) |
| Downloads | [![Downloads](https://anaconda.org/conda-forge/oommfodt/badges/downloads.svg)](https://anaconda.org/conda-forge/oommfodt) |
| License | [![License](https://img.shields.io/badge/License-BSD%203--Clause-blue.svg)](https://opensource.org/licenses/BSD-3-Clause) |

## About

`ubermagtable` is a Python package that provides:

- Conversion of OOMMF `.odt` files to `pandas.DataFrames`
- Merging of multiple OOMMF `.odt` files into a single `pandas.DataFrame`

It is available on all major operating systems (Windows, MacOS, Linux) and requires Python 3.6 or higher.

## Installation, testing, and upgrade

We support installation using `conda` and `pip` package managers. Instructions can be found [here](https://ubermagtable.readthedocs.io/en/latest/ipynb/installation-testing-upgrade.html).

## Binder

`ubermagtable` can be used in the cloud via Binder. This does not require you to have anything installed and no files will be created on your machine. To use `ubermagtable` in the cloud, use this [link](https://mybinder.org/v2/gh/joommf/ubermagtable/master?filepath=index.ipynb).

## Documentation

Documentation for `ubermagtable` is available [here](http://ubermagtable.readthedocs.io/en/latest/?badge=latest), where APIs and tutorials (in the form of Jupyter notebooks) are available.

## Support

If you require support on installation or usage of `ubermagtable` or if you want to report a problem, you are welcome to raise an issue in our [joommf/help](https://github.com/joommf/help) repository.

## License

Licensed under the BSD 3-Clause "New" or "Revised" License. For details, please refer to the [LICENSE](LICENSE) file.

## How to cite

If you use `ubermagtable` in your research, please cite it as:

1. M. Beg, R. A. Pepper, and H. Fangohr. User interfaces for computational science: A domain specific language for OOMMF embedded in Python. [AIP Advances, 7, 56025](http://aip.scitation.org/doi/10.1063/1.4977225) (2017).

2. DOI will be available soon

## Acknowledgements

`ubermagtable` was developed as a part of [OpenDreamKit](http://opendreamkit.org/) – Horizon 2020 European Research Infrastructure project (676541).
